#!/usr/bin/env sh
#
# script to check if rsync of logs has finished, and runs site-report.pl
#
# usage: frontend-site-report.sh BroConfigFile
#

#set up the environment
if [ $1 ] ; then
   . $1
else
   . /etc/sysconfig/bro
fi

echo " "
echo "`date`: checking if reports are ready to generate:" $BROLOGS/DoReports.$BRO_HOSTNAME

# only run if file $BROLOGS/DoReports.$BROHOST
if [ -e $BROLOGS/DoReports.$BRO_HOSTNAME ] ; then
     echo "rsync done: running site report script"
     rm $BROLOGS/DoReports.$BRO_HOSTNAME
     /usr/share/bro/scripts/site-report.pl --broconfig $1
     # create file indicating report is finished
     echo "creating file" $BROLOGS/MailReports.$BRO_HOSTNAME
     touch $BROLOGS/MailReports.$BRO_HOSTNAME
else
     echo "rsync not done"
fi
